Redmine - Patch #21497

Tooltip on progress bar
2015-12-13 04:40 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.0

Description

The progress bar on the Roadmap screen is divided into three different colors, but there is no explanation on the colors anywhere.
This could be solved by showing it in tooltip.

Roadmap:
Roadmap

test-sub - aaaaaa

Mo Issues IISI this version
foobar
75%
2 issues (1 closed — 1 apen) h“
closed: 60%

Also, it is possible to display the done ratio progress bar on the Issues screen, but it is not possible to know the real done ratio value
without opening the issue. This could also be solved with a tooltip display.

Issues:
Assignee Updated %0 Done
10/26/2015 05:24 PM X
10/22/2015 01:40 PM 90%

10/22/2015 01:47 PM
1N/22/2015 0130 PM

Associated revisions

Revision 15027 - 2016-01-09 12:18 - Jean-Philippe Lang
Tooltip on progress bar (#21497).

Patch by Go MAEDA.

History

#1 - 2015-12-14 13:04 - budo kaiman

+1

#2 - 2015-12-23 05:12 - Go MAEDA
- Description updated

- Target version set to 3.3.0

This improves usability of Roadmap screen.
| suggest including this feature in Redmine 3.3.0.

#3 - 2016-01-09 12:19 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
Patch committed in r15027, thanks. label_done_ratio was replaced by the existing field_done_ratio string.
